企業情報取得
curl -X POST -H "Content-Type: application/x-www-form-urlencoded" -d 'uid=xxxxxxxxxxxxxx&state=xxxxxxxxxxxxxx' "https://api.next-engine.org/api_v1_login_company/info"// POST /api_v1_login_company/info - 企業情報取得const params = new URLSearchParams({ access_token: '<access_token>',})const res = await fetch('https://api.next-engine.org/api_v1_login_company/info', { method: 'POST', headers: { 'content-type': 'application/x-www-form-urlencoded' }, body: params,})const json = await res.json()if (json.result !== 'success') throw new Error(json.message ?? json.code)console.log(json.data)# POST /api_v1_login_company/info - 企業情報取得import requests
params = { 'access_token': '<access_token>',}res = requests.post( 'https://api.next-engine.org/api_v1_login_company/info', data=params,)json = res.json()if json['result'] != 'success': raise RuntimeError(json.get('message') or json.get('code'))print(json.get('data'))Request Body required
Section titled “Request Body required ”ネクストエンジン API 共通リクエストパラメータ
object
OAuth2 アクセストークン (必須)
OAuth2 リフレッシュトークン (access_token 期限切れ時の自動更新に使用)
同期実行フラグ。“1” 指定で処理完了を待つ
取得するフィールドをカンマ区切りで指定 (search 系のみ)
検索開始位置 (search 系のみ)
取得件数 (search 系のみ)
Responses
Section titled “ Responses ”実行結果 (result が success / error / redirect のいずれか)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
object
企業名 / 文字列型
企業名カナ / 文字列型
郵便番号 / 文字列型
住所1 / 文字列型
住所2 / 文字列型
部署名 / 文字列型
担当者名 / 文字列型
メールアドレス / 文字列型
電話番号 / 文字列型
FAX / 文字列型
企業URL / 文字列型
締日 / 文字列型
最終締日 / 日時型
端数処理桁数 / 数値型
端数処理区分 / 文字列型
端数処理名 / 文字列型
税抜き・税込み区分 / 文字列型
税抜き・税込み名 / 文字列型
一時利用停止フラグ / 文字列型
有効日 / 日時型
無効日 / 日時型
通知先メールアドレス / 文字列型
仕入れタイプ / 文字列型
バッチタイプ / 文字列型
クーポンコード / 文字列型
企業区分 / 文字列型
IPアドレス / 文字列型
明細ソート / 数値型
メイン機能企業ID / 文字列型 / アプリを起動した企業の「メイン機能単位」で一意になるID。1つの企業が複数のメイン機能を所有することがあります。
ネクストエンジン企業ID / 文字列型 / アプリを起動した企業の一意になるID。
メイン機能ホスト / 文字列型
現在の税率 / 数値型 / 10%の場合、10
値引きの優先適用先 / 数値型 / NULL:按分10:10%8:8%0:0%
適格請求書発行事業者の登録番号 / 文字列型
ヒット商品お知らせ期間 / 数値型 / 0の場合、お知らせしない
ヒット商品お知らせ個数 / 数値型 / 全商品に対して有効です。商品マスタに商品ごとの設定がある場合は、そちらが優先されます。
削除フラグ / 文字列型
作成日 / 日時型
最終更新日 / 日時型
作成担当者ID / 数値型
作成担当者名 / 文字列型
最終更新者ID / 数値型
最終更新者名 / 文字列型
Example
{ "result": "success", "count": "1", "data": [ { "company_name": "xxxxxxxx", "company_kana": "xxxxxxxx", "company_zip_code": "1500013", "company_address1": "xxxxxxxx", "company_address2": "", "company_post_name": null, "company_pic_name": "xxxxxxxx", "company_mail_address": "xxxx@xxxx.xxx", "company_phone": "0361231231", "company_fax": "", "company_url": "", "company_closing_day": null, "company_last_closing_date": null, "company_fraction_number_digit": "0", "company_fraction_id": "1", "company_fraction_name": "xxxxxxxx", "company_tax_id": "0", "company_tax_name": "xxxxxxxx", "company_temporarily_suspend_flag": "", "company_available_date": "2016-12-19 14:02:20", "company_unavailable_date": "0000-00-00 00:00:00", "company_notice_mail_address": null, "company_buying_type": "0", "company_batch_type": "U", "company_coupon_code": "", "company_type_id": "", "company_ip_address": null, "company_row_order": "0", "company_now_tax_percent": "8", "company_hit_syohin_alert_hour": "0", "company_hit_syohin_alert_quantity": "0", "company_primary_tax_rate_for_discount": "10", "company_invoice_registration_number": "T1234567890123", "company_creation_date": "2017-03-16 19:16:56", "company_last_modified_date": "2017-03-16 19:16:56", "company_creator_id": "0", "company_creator_name": "System", "company_last_modified_by_id": "0", "company_last_modified_by_name": "System", "company_last_modified_null_safe_date": "2017-03-16 19:16:56", "company_last_modified_by_null_safe_id": "0", "company_last_modified_by_null_safe_name": "System", "company_id": "xxxxxxxx", "company_ne_id": "xxxxxxxx", "company_host": "xxxxxxxx", "company_app_header": "xxxxxxxx" } ], "access_token": "xxxxxxxx", "access_token_end_date": "2017-04-13 18:24:53", "refresh_token": "xxxxxxxx", "refresh_token_end_date": "2017-04-15 18:24:53"}クライアントエラー (HTTP ステータス自体は 200 + result=error で返ることが多い)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
Example
{ "result": "success"}